Elput Manager

Functions
Elput Manager

Functions that deal with connecting, disconnecting, opening, closing of input devices. More...

## Functions
EAPI Elput_Manager * | elput_manager_connect (const char *seat, unsigned int tty)
| Create an input manager on the specified seat. More...
EAPI Elput_Manager * | elput_manager_connect_gestures (const char *seat, unsigned int tty)
| Create an input manager on the specified seat. More...
EAPI void | elput_manager_disconnect (Elput_Manager *manager)
| Disconnect an input manager. More...
EAPI int | elput_manager_open (Elput_Manager *manager, const char *path, int flags)
| Request input manager to open a file. More...
EAPI void | elput_manager_close (Elput_Manager *manager, int fd)
| Request input manager to close a file. More...
EAPI Eina_Bool | elput_manager_vt_set (Elput_Manager *manager, int vt)
| Request to switch to a given vt. More...
EAPI const Eina_List * | elput_manager_seats_get (Elput_Manager *manager)
| Get the list of seats from a manager. More...
EAPI void | elput_manager_window_set (Elput_Manager *manager, unsigned int window)
| Set which window to use for this input manager. More...

## Detailed Description

Functions that deal with connecting, disconnecting, opening, closing of input devices.

## Function Documentation

## ◆ elput_manager_connect()

EAPI Elput_Manager* elput_manager_connect | ( | const char * | seat,
|  | unsigned int | tty
| ) |  |

Create an input manager on the specified seat.

Parameters

  seat |
  tty |

Returns
  A Elput_Manager on success, NULL on failure

Since
  1.18

Referenced by ecore_drm2_device_open(), and elput_manager_connect_gestures().

## ◆ elput_manager_connect_gestures()

EAPI Elput_Manager* elput_manager_connect_gestures | ( | const char * | seat,
|  | unsigned int | tty
| ) |  |

Create an input manager on the specified seat.

Only gesture events are emitted. Nothing else.

Parameters

  seat |
  tty |

Returns
  A Elput_Manager on success, NULL on failure

References EINA_TRUE, and elput_manager_connect().

## ◆ elput_manager_disconnect()

EAPI void elput_manager_disconnect | ( | Elput_Manager * | manager | ) |

Disconnect an input manager.

Parameters

  manager |

Since
  1.18

References ecore_thread_cancel(), and EINA_SAFETY_ON_NULL_RETURN.

## ◆ elput_manager_open()

EAPI int elput_manager_open | ( | Elput_Manager * | manager,
|  | const char * | path,
|  | int | flags
| ) |  |

Request input manager to open a file.

Parameters

  manager |
  path |
  flags |

Returns
  Filedescriptor of opened file or -1 on failure

Since
  1.18

References ecore_event_handler_add(), and EINA_SAFETY_ON_NULL_RETURN_VAL.

Referenced by ecore_drm2_device_open().

## ◆ elput_manager_close()

EAPI void elput_manager_close | ( | Elput_Manager * | manager,
|  | int | fd
| ) |  |

Request input manager to close a file.

Parameters

  manager |
  fd |

Since
  1.18

References ecore_event_handler_del(), and EINA_SAFETY_ON_NULL_RETURN.

Referenced by ecore_drm2_device_close().

## ◆ elput_manager_vt_set()

EAPI Eina_Bool elput_manager_vt_set | ( | Elput_Manager * | manager,
|  | int | vt
| ) |  |

Request to switch to a given vt.

Parameters

  manager |
  vt |

Returns
  EINA_TRUE on success, EINA_FALSE otherwise

Since
  1.18

References EINA_FALSE, EINA_SAFETY_ON_NULL_RETURN_VAL, and EINA_SAFETY_ON_TRUE_RETURN_VAL.

Referenced by ecore_drm2_device_vt_set().

## ◆ elput_manager_seats_get()

EAPI const Eina_List* elput_manager_seats_get | ( | Elput_Manager * | manager | ) |

Get the list of seats from a manager.

Parameters

  manager |

Returns
  An Eina_List of existing Elput_Seats or NULL on failure

Since
  1.18

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ elput_manager_window_set()

EAPI void elput_manager_window_set | ( | Elput_Manager * | manager,
|  | unsigned int | window
| ) |  |

Set which window to use for this input manager.

This function should be used to specify which window to set on the input manager. Setting a window on the input manager is done so that when we raise events (mouse movement, keyboard key, etc) then this window is passed to the event structure as the window which the event occurred on.

Parameters

  manager |
  window |

Since
  1.18

References EINA_SAFETY_ON_NULL_RETURN.

Referenced by ecore_drm2_device_window_set().